From 819eeb7f5b90a8e03f8e8fd14f2d9e920b0a83e3 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 25 2020 23:50:07 +0000
Subject: [PATCH 1545/2232] Convert array expr test to fields of a struct


---

diff --git a/tests/ui/array_len_expr.rs b/tests/ui/array_len_expr.rs
index fdd9783..1e1a548 100644
--- a/tests/ui/array_len_expr.rs
+++ b/tests/ui/array_len_expr.rs
@@ -1,8 +1,8 @@
 #[cxx::bridge]
 mod ffi {
-    unsafe extern "C++" {
-        fn arraystr() -> [String; "13"];
-        fn arraysub() -> [String; 15 - 1];
+    struct Shared {
+        arraystr: [String; "13"],
+        arraysub: [String; 15 - 1],
     }
 }
 
diff --git a/tests/ui/array_len_expr.stderr b/tests/ui/array_len_expr.stderr
index cb94328..2c26ab0 100644
--- a/tests/ui/array_len_expr.stderr
+++ b/tests/ui/array_len_expr.stderr
@@ -1,11 +1,5 @@
 error: array length must be an integer literal
- --> $DIR/array_len_expr.rs:4:35
+ --> $DIR/array_len_expr.rs:4:28
   |
-4 |         fn arraystr() -> [String; "13"];
-  |                                   ^^^^
-
-error: unsupported expression, array length must be an integer literal
- --> $DIR/array_len_expr.rs:5:35
-  |
-5 |         fn arraysub() -> [String; 15 - 1];
-  |                                   ^^^^^^
+4 |         arraystr: [String; "13"],
+  |                            ^^^^

